Bug 496424 - (perl-Test-Aggregate) Review Request: perl-Test-Aggregate - Aggregate C<*.t> tests to make them run faster
Review Request: perl-Test-Aggregate - Aggregate C<*.t> tests to make them run...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Iain Arnell
Fedora Extras Quality Assurance
http://search.cpan.org/dist/Test-Aggr...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-18 21:01 EDT by Chris Weyl
Modified: 2009-04-21 17:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-21 17:26:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
iarnell: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2009-04-18 21:01:01 EDT
Spec URL: http://fedorapeople.org/~cweyl/review/perl-Test-Aggregate.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-Test-Aggregate-0.35-1.fc10.src.rpm

Description:
*WARNING*: this is ALPHA code. The interface is not guaranteed to be
stable.

A common problem with many test suites is that they can take a
long time to run. The longer they run, the less likely you are to run
the tests. This module borrows a trick from 'Apache::Registry' to load
up your tests at once, create a separate package for each test and wraps
each package in a method named 'run_the_tests'. This allows us to load
perl only once and related modules only once. If you have modules which
are expensive to load, this can dramatically speed up a test suite.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1307346

Additional Comment:

This package is a new BR of Catalyst::Runtime 5.80001

*rt-0.06
Comment 1 Iain Arnell 2009-04-19 04:47:09 EDT
+ source files match upstream.  
  495a0c853951d326df5322e97bcbc9c53a71eea9  Test-Aggregate-0.35.tar.gz

+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ summary is OK.
+ description is OK.
+ dist tag is present.
+ build root is OK.
+ license field matches the actual license.
  GPL+ or Artistic 

+ license is open source-compatible.
+ license text not included upstream.
+ latest version is being packaged.
+ BuildRequires are proper.
+ compiler flags are appropriate.
+ %clean is present.
+ package builds in mock
  http://koji.fedoraproject.org/koji/taskinfo?taskID=1307346

+ package installs properly.
+ rpmlint has no complaints:
  perl-Test-Aggregate.noarch: I: checking
  perl-Test-Aggregate.src: I: checking
  2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ final provides and requires are sane:
  perl(Test::Aggregate) = 0.35
  perl(Test::Aggregate::Builder) = 0.35
  perl-Test-Aggregate = 0.35-1.fc11

=
  perl(:MODULE_COMPAT_5.10.0)  
  perl(Carp)  
  perl(File::Find)  
  perl(Test::Aggregate)  
  perl(Test::Aggregate::Builder)  
  perl(Test::Builder)  
  perl(Test::Builder::Module)  
  perl(Test::More)  
  perl(strict)  
  perl(vars)  
  perl(warnings)  
  rpmlib(CompressedFileNames) <= 3.0.4-1
  rpmlib(FileDigests) <= 4.6.0-1
  rpmlib(PayloadFilesHavePrefix) <= 4.0-1
  rpmlib(VersionedDependencies) <= 3.0.3-1

+ %check is present and all tests pass.
  All tests successful.
  Files=5, Tests=48,  4 wallclock secs ( 0.07 usr  0.02 sys +  0.58 cusr  0.07 csys =  0.74 CPU)
  Result: PASS

+ no shared libraries are added to the regular linker search paths.
+ owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no generically named files
+ code, not content.
+ documentation is small, so no -doc subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.


APPROVED.
Comment 2 Chris Weyl 2009-04-19 13:55:07 EDT
New Package CVS Request
=======================
Package Name: perl-Test-Aggregate
Short Description: Aggregate C<*.t> tests to make them run faster
Owners: cweyl
Branches: F-9 F-10 devel
InitialCC: perl-sig
Comment 3 Kevin Fenzi 2009-04-21 16:21:04 EDT
I assume you want a F-11 branch here as well. 

cvs done with F-11 added.
Comment 4 Chris Weyl 2009-04-21 17:26:38 EDT
Thanks for the review! :-)

Note You need to log in before you can comment on or make changes to this bug.